Bug 389767 - Don't need a filter button; clicking on the repo already does the same thing
Summary: Don't need a filter button; clicking on the repo already does the same thing
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-01 19:58 UTC by Nate Graham
Modified: 2018-02-02 01:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-02-01 19:58:00 UTC
When you click (or drag) on a grid icon thingy on Discover's sources page, it exposes two icons: a red trash to delete the repo, and what I presume is a filter icon, for seeing the apps exposed by that repo. This is unnecessary since you can access the same functionality way more easily by just clicking on the repo list item itself. Accordingly, can we remove the filter icon?
Comment 1 Aleix Pol 2018-02-02 01:11:02 UTC
Git commit f8c669a83ee607a591b8039b90f7b98e41b118a9 by Aleix Pol.
Committed on 02/02/2018 at 01:10.
Pushed by apol into branch 'Plasma/5.12'.

Remove redundant action

M  +0    -6    discover/qml/SourcesPage.qml

https://commits.kde.org/discover/f8c669a83ee607a591b8039b90f7b98e41b118a9